summaryrefslogtreecommitdiffstats
path: root/libraries/libunicapgtk/libunicapgtk.SlackBuild
diff options
context:
space:
mode:
author Philip Lacroix2015-04-19 18:55:48 +0200
committer Willy Sudiarto Raharjo2015-04-19 18:55:48 +0200
commite1c14b78004a00d088e9dda4d7511b039174ea0e (patch)
tree1dd12d1798dbff90ed726c3b3d1d3a61cbf7a880 /libraries/libunicapgtk/libunicapgtk.SlackBuild
parent4cf210384686ecf6bcd212a8860f38f51ba736bb (diff)
downloadslackbuilds-e1c14b78004a00d088e9dda4d7511b039174ea0e.tar.gz
libraries/libunicapgtk: Updated for version 20150328.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/libunicapgtk/libunicapgtk.SlackBuild')
-rw-r--r--libraries/libunicapgtk/libunicapgtk.SlackBuild20
1 files changed, 11 insertions, 9 deletions
diff --git a/libraries/libunicapgtk/libunicapgtk.SlackBuild b/libraries/libunicapgtk/libunicapgtk.SlackBuild
index 819c3bf195..0ccb8a7e0a 100644
--- a/libraries/libunicapgtk/libunicapgtk.SlackBuild
+++ b/libraries/libunicapgtk/libunicapgtk.SlackBuild
@@ -24,8 +24,8 @@
PRGNAM=libunicapgtk
SRCNAM=unicap
-VERSION=${VERSION:-20110826}
-SRCVERSION=${SRCVERSION:-d3b3e72ba5347fa00d9bfb589f5ad5066a8b64d9}
+VERSION=${VERSION:-20150328}
+SRCVERSION=${SRCVERSION:-2c600aef122e1b82d7ff08c176663db181f8d002}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -63,8 +63,8 @@ mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $SRCNAM-$SRCVERSION
-# The upstream tarball will be named differently, depending on the
-# file being downloaded manually (web browser) or with wget.
+# The upstream tarball will be named differently, depending on
+# the file being downloaded manually (web browser) or with wget.
if [ -e $CWD/$SRCVERSION.tar.gz ]; then
tar xvzf $CWD/$SRCVERSION.tar.gz
else
@@ -79,9 +79,7 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-PRGSHR=$PKG/usr/share
-PRGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
-
+# Prepare files needed for configuration and building.
autoreconf --force --install
intltoolize
@@ -95,9 +93,13 @@ CFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+PRGSHR=$PKG/usr/share
+PRGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+# Install documentation.
mkdir -p $PRGDOC
cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL README $PRGDOC/
cat $CWD/$PRGNAM.SlackBuild > $PRGDOC/$PRGNAM.SlackBuild